Add multiple domains and redirects to an existing install
POST /installs/{install_id}/domains/bulk
Adds multiple domains and redirects to a specific install
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”ID of install
Request Body
Section titled “Request Body ”Properties
- domains - required - array of domains to be created, min size: 1, max size: 20
- items:
- name - required - The name of the new domain (or redirect)
- redirect_to - optional - Name of the domain to set redirect to
- items:
object
object
Example
{ "domains": [ { "name": "example.com" }, { "name": "www.example.com", "redirect_to": "example.com" } ]}Responses
Section titled “ Responses ”Created
Domains will be created, but not serving traffic unless it is verified. Verification status is
provided in the ownership_status field:
- TXT_VERIFIED indicates the domain ownership has been verified.
- TXT_VERIFICATION_PENDING indicates the domain ownership still requires verification using TXT record.
NOTE: To verify the domain, a DNS TXT record must be added to your domain registry using the txt_verification_key
and txt_verification_value fields provided on the newly created domain. After the TXT record is in place, POST to
/installs/{install_id}/domains/{domain_id}/verification to complete verification.
object
Example
e41fa98f-ea80-4654-b229-a9b765d0863aExample
example.comExample
trueobject
Example
e41fa98f-ea80-4006-b229-a9b765d0863aExample
redirect.comThe time when the TXT record was verified
Example
2026-04-20T16:00:00.007ZThe domain that the TXT record was verified for
Example
example.comThe TXT record verification key. Null if the domain is already verified.
Example
_wpe_verificationThe TXT record verification value. Null if the domain is already verified.
Ownership verification status of the domain.
- TXT_VERIFIED indicates the domain ownership has been verified.
- TXT_VERIFICATION_PENDING indicates the domain ownership still requires verification using TXT record.
NOTE: To verify the domain, a DNS TXT record must be added to your domain registry using the txt_verification_key
and txt_verification_value fields provided with the domain. After the TXT record is in place, POST to
/installs/{install_id}/domains/{domain_id}/verification to complete verification.
Bad Request
object
A message regarding the error that occurred on the server
Example
Invalid Site: Name cannot be empty.(Optional) A URL where documentation regarding this specific error can be found
An array of error objects describing specific errors that arose when servicing the request
object
The name of the resource that was being processed when the error occurred
Example
Site(Optional) The specific field associated with the error
Example
name(Optional) A type associated with the error. invalid_value, access_error, value_unavailable
Example
invalid_value(Optional) A machine code relating to the error that occurred with the field and resource
Example
too_long(Optional) A human-readable message relating to the error that occurred with the field and resource
Example
Name is too long (maximum is 40 characters)Authentication Error
object
A message regarding the error that occurred on the server
Example
Bad Credentials(Optional) A URL where documentation regarding this specific error can be found
Not authorized
object
A message regarding the error that occurred on the server
Example
You don't have permission to perform that action(Optional) A URL where documentation regarding this specific error can be found
Too many requests
Service unavailable